<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>

<div class="o-cms-content" id="c{data.uid}">
    <div class="o-cms-content__body">
        <section class="c-news-slider   o-section">
            <div class="o-section__wrapper">
                <header class="o-section__header">
                    <h2 class="c-news-slider__headline   o-section__headline">
                        <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
                    </h2>
                </header>
                <div class="c-news-slider__list   o-slider   js-slider" data-slides-to-show="2">
                    <f:for each="{pageUids}" as="page">
                        <div class="c-news-slider__item   o-slider__item">
                            <div class="o-slider__content">
                                <div class="c-teaser   o-media o-media--stacked">

                                    <f:switch expression="{page.files.0.type}">
                                        <f:case value="4">
                                            <f:render section="videoType" arguments="{_all}"/>
                                        </f:case>
                                        <f:defaultCase>
                                            <f:render section="imageType" arguments="{_all}"/>
                                        </f:defaultCase>
                                    </f:switch>
                                    <div class="c-teaser__content   o-media__body">
                                        <h3 class="c-teaser__title">
                                            <f:if condition="{page.data.nav_title}">
                                                <f:then>
                                                    {page.data.nav_title}
                                                </f:then>
                                                <f:else>
                                                    {page.data.title}
                                                </f:else>
                                            </f:if>
                                        </h3>

                                        <p class="c-teaser__text">
                                            <f:format.crop maxCharacters="600" respectWordBoundaries="FALSE">
                                                {page.data.abstract}
                                            </f:format.crop>
                                            <br/>
                                            <f:link.typolink parameter="{page.data.uid}"
                                                         title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                                                         class="c-teaser__link">
                                                <f:translate
                                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                                            </f:link.typolink>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </f:for>
                </div>
            </div>
        </section>
    </div>
</div>

<f:section name="imageType">
    <div class="o-media__imageholder">
        <f:render section="media" arguments="{_all}"/>
    </div>
</f:section>

<f:section name="videoType">
    <div class="h-embed-slider">
        <f:render section="media" arguments="{_all}"/>
    </div>
</f:section>

<f:section name="media">
    <f:if condition="{page.files.0} != ''">
        <f:then>
            <f:media file="{page.files.0}" class="o-media__img o-media__img--fill" alt="{page.files.0.alternative}"
                     title="{page.files.0.title}" width="{page.files.0.width}" height="{page.files.0.height}"/>
            <f:render partial="Content/Copyright" arguments="{media: page.files.0}"/>
        </f:then>
        <f:else>
            <f:image src="EXT:drk_template2016/Resources/Public/Images/png/placeholder_660x440.png" class="o-media__img o-media__img--fill"
                     alt="Article placeholder" title="Article placeholder" />
        </f:else>

    </f:if>
</f:section>
</html>
